app_profile/urls.py
from django.conf.urls import url
from .views import index
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
]

app_updatestatus/urls.py
from django.conf.urls import url
from .views import index, add_status
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_status', add_status, name='add_status'),
]

tuita/urls.py
from django.conf.urls import url,include
from django.contrib import admin
import app_profile.urls as index_app_profile
import app_updatestatus.urls as index_app_updatestatus
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^profile/',include(index_app_profile,namespace='profile')),
    url(r'^update/',include(index_app_updatestatus,namespace='update')),
    url(r'^$',RedirectView.as_view(url='/profile/', permanent=False), name='index'),
]

app_add/models.py
from django.db import models

# Create your models here.

app_profile/models.py
from django.db import models

# Create your models here.

app_stats/models.py
from django.db import models

# Create your models here.

app_updatestatus/models.py
from django.db import models

# Create your models here.
class Status(models.Model):
	#database untuk menyimpan status dan tanggal updatenya 
    isi = models.CharField(max_length=140, default="...")
    created_date = models.DateTimeField(auto_now_add=True)

    class Meta:
    	#mengurutkan query dengan terbaru duluan 
        ordering = ['-created_date']

app_updatestatus/forms.py
from django import forms

class Status_Form(forms.Form):
    error_messages = {
        'required': 'Tolong dong isi :c',
    }
    isi_attrs = {
        'type': 'text',
        'cols':70,
        'rows':4,
        'class': 'status-form-textarea',
        'placeholder':'Mikirin apaan ???'
    }

    isi = forms.CharField(label='', required=True, max_length=140, widget=forms.Textarea(attrs=isi_attrs))
    

app_add/views.py
from django.shortcuts import render

# Create your views here.

app_profile/views.py
from django.shortcuts import render

# Create your views here.
nama = 'Donatello'
ulangTahun = '05 Oktober'
gender = 'Rather not say'
expertise = ['Kungfu','Fight','Eat Pizza']
desc = 'I am so smart turtle who likes to eat pizza. Feel free to visit me'
email = 'donnatelo@ninja.com'
img_url = "https://i.ebayimg.com/images/g/w58AAOSwhMpT0Rdq/s-l300.jpg"

def index(request):
	response={'name':nama,'birthDate':ulangTahun, 'gender':gender,'expertise':expertise,'description':desc,'email':email,
	'img_url' : img_url}
	return render(request,'profile.html',response)

app_stats/views.py
from django.shortcuts import render

# Create your views here.

app_updatestatus/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Status_Form
from .models import Status
from app_profile.views import nama, img_url


# Create your views here.
response = {}

def index(request):
    response['author'] = "Donatello"
    status = Status.objects.all()
    response['status'] = status
    html = 'update.html'
    response['status_form'] = Status_Form
    response['nama'] = nama
    response['img_url'] = img_url
    return render(request, html, response)

def add_status(request):
    form = Status_Form(request.POST or None)
    if(request.method == "POST" and form.is_valid()):
        response['isi'] = request.POST['isi']
        status = Status(isi = response['isi'])
        status.save()
        return HttpResponseRedirect('/update/')
    else:
        return HttpResponseRedirect('/update/')

app_profile/templates/profile.html
<!DOCTYPE html>
<html lang="en">
<head>
		<h2>Profile<h2>
    <meta charset="UTF-8">
    <title>tuita</title>
</head>
<img src={{img_url}} style="width:10rem; height:10rem;"/>
<body>
    <article> {{ name }}</article>
		<article> Birthday {{ birthDate }} </article>
		<article> Expertise  
		{% for expert in expertise %}
			 {{ expert }}
		{% endfor %} </article>
		<article> Description {{ description }} </article>
		<article> Email {{ email }} </article>

</body>
</html>

app_updatestatus/templates/update.html
<style type="text/css">
	body{
		margin-left: 80px;
		margin-right: 80px;

	}
	img {
		float: left;
		margin: 0 0 10px 10px;
	}
	div {
		clear: left;
	}
	.clearfix{
		overflow: auto;
	}
	.isi-status{
		font-family: "Helvetica";
		margin-left: 10px;
	}
	.date-added{
		color: grey;
		font-size: 75%;
		margin-left: 10px;
	}


</style>

{% block content %}


<body>

<section name="input-list" id="input-list">
	<div class="container">
		<form id="form" method="POST" action="{% url 'update:add_status' %}">
			<h2>Update Status</h2>
			{% csrf_token %}
			{{ status_form }}
			<input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
			<br>
		</form>
	</div>
</section>

<section name="my-list" id="my-list">
    <div class="container">
        <div class="flex">
            {% if status %}
                {% for data in status %}
                    <div class="flex-item">
                        <div class="status-list">
							<div class="clear-fix">
                                <img src={{img_url}} style="width:3rem; height:3rem;"/>
                                <strong>{{nama}}</strong>
                            </div>
                            <div class="isi-status">
                                {{data.isi}}
                            </div>
                            <div class="date-added">
                                {{data.created_date}}
                            </div>
                        </div>
                    </div>
					</br>
                {% endfor %}
            {% else %}
            {% endif %}
        </div>
    </div>
</section>

{% endblock %}
</body>